Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   


Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker

Category:   Device (Router/Bridge/Hub)  >   Cisco IOS Vendors:   Cisco
Cisco IOS BGP Attribute Processing Bug Lets Remote Users Deny Service
SecurityTracker Alert ID:  1027576
SecurityTracker URL:
CVE Reference:   CVE-2012-4617   (Links to External Site)
Date:  Sep 26 2012
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in Cisco IOS. A remote user can cause denial of service conditions.

A remote peer on an existing Border Gateway Protocol (BGP) session can send a specially crafted attribute to cause all BGP sessions to reset.

Cisco has assigned Cisco bug IDs CSCtt35379 and CSCty58300 to this vulnerability.

For Cisco IOS XR, Cisco has assigned Cisco bug IDs CSCtz63248 and CSCtz62914.

Cisco NXOS is not affected.

Impact:   A remote user (BGP peer) can cause all BGP sessions on the target device to be reset.
Solution:   The vendor has issued a fix.

A patch matrix is available in the vendor's advisory.

The vendor's advisory is available at:

Vendor URL: (Links to External Site)
Cause:   Input validation error, State error

Message History:   None.

 Source Message Contents

Date:  Wed, 26 Sep 2012 12:18:34 -0400
Subject:  Cisco Security Advisory: Cisco IOS Software Malformed Border Gateway Protocol Attribute Vulnerability

Hash: SHA256

Cisco IOS Software Malformed Border Gateway Protocol Attribute Vulnerability

Advisory ID: cisco-sa-20120926-bgp

Revision 1.0

For Public Release 2012 September 26 16:00  UTC (GMT)


Cisco IOS Software contains a vulnerability in the Border Gateway
Protocol (BGP) routing protocol feature.

The vulnerability can be triggered when the router receives a
malformed attribute from a peer on an existing BGP session.

Successful exploitation of this vulnerability can cause all BGP
sessions to reset.  Repeated exploitation may result in an inability
to route packets to BGP neighbors during reconvergence times.

Cisco has released free software updates that address this
vulnerability.  There are no workarounds for this vulnerability.  This
advisory is available at the following link:

Note: The September 26, 2012, Cisco IOS Software Security Advisory
bundled publication includes 9 Cisco Security Advisories. Eight of the
advisories address vulnerabilities in Cisco IOS Software, and one
advisory addresses a vulnerability in Cisco Unified Communications
Manager. Each Cisco IOS Software Security Advisory lists the Cisco IOS
Software releases that correct the vulnerability or vulnerabilities
detailed in the advisory as well as the Cisco IOS Software releases
that correct all Cisco IOS Software vulnerabilities in the September
2012 bundled publication.

Individual publication links are in "Cisco Event Response: Semi-Annual
Cisco IOS Software Security Advisory Bundled Publication" at the
following link:

Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
Comment: GPGTools -

cust-security-announce mailing list
To unsubscribe, send the command "unsubscribe" in the subject of your message to

Go to the Top of This SecurityTracker Archive Page

Home   |    View Topics   |    Search   |    Contact Us

Copyright 2015, LLC